%define version 0.8.6
%define release %mkrel 1

%define major 	0
%define libname %mklibname gcu %major
%define develname %mklibname -d gcu

%define __libtoolize /bin/true

Summary:	Backend for Gnome chemistry applications
Name:		gnome-chemistry-utils
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.nongnu.org/gchemutils/

Source0:	http://download.savannah.nongnu.org/releases/gchemutils/0.8/%{name}-%version.tar.bz2

BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeprint-devel
BuildRequires:	libgtkglext-devel
BuildRequires:	goffice0-devel
BuildRequires:	openbabel-devel >= 1.100.1
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	gtk-doc
BuildRequires:  perl-XML-Parser
#BuildRequires:  mozilla-firefox-devel
BuildRequires:  gettext-devel
BuildRequires:  desktop-file-utils
BuildRequires:  chemical-mime-data
BuildRequires:	bodr
BuildRequires:	gnome-doc-utils
Requires:       chemical-mime-data
Requires:	bodr
Requires(post,preun): scrollkeeper
Provides:	gcu = %{version}-%{release}
Provides:	gchemutils = %{version}-%{release}
Obsoletes:	gcu
Obsoletes:	gnome-crystal
Provides:	gnome-crystal

%description
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

%package -n %{libname}
Summary:	Main libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with %{name}.       
                                                                                                                     
%package	-n %{develname}
Summary:	Development related files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	gcu-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d gcu 0

%description	-n %{develname}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package includes the header files and static libraries necessary for
developing chemistry related programs using %{name}.

#%package -n     %{name}-firefox-plugin
#Summary:        %{name} firefox plugin
#Group:          Networking/WWW
#Requires:       %{name} = %{version}-%{release}

#%description -n  %{name}-firefox-plugin
#This package is a set of chemical utils. Three programs are avaible:
#* A 3D molecular structure viewer (GChem3Viewer).
#* A Chemical calculator (GChemCalc).
#* A periodic table of the elements application (GChemTable).
#This package contains the mozilla plugin.


%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath --enable-static=no --disable-update-databases \
	--disable-mozilla-plugin --disable-schemas-install \
	--disable-scrollkeeper
%make

%install
rm -rf %{buildroot}
%makeinstall_std HTMLDIR=`pwd`/reference/html

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#kill intrusive docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/gchemutils
  
%find_lang gchemutils

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%post
%update_menus
%{update_desktop_database}
%post_install_gconf_schemas gcrystal
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas gcrystal

%postun
%clean_menus
%{clean_desktop_database}
%clean_scrollkeeper
%clean_icon_cache hicolor

%postun -n %{libname} -p /sbin/ldconfig

%files -f gchemutils.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/gchemutils
%{_datadir}/applications/*
%{_datadir}/mime/packages/*
%{_datadir}/mimelnk/application/*
%{_datadir}/gnome/help/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/omf/*/*.omf

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc docs/reference
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

#%files -n %{name}-firefox-plugin
#%defattr(-, root, root)
#%{_libdir}/mozilla/plugins/*.so


%changelog
* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 0.8.6-1mdv2008.1
+ Revision: 158360
- remove wrongly added files
- New version 0.8.6

* Sun Dec 23 2007 Funda Wang <fundawang@mandriva.org> 0.8.5-1mdv2008.1
+ Revision: 137270
- New version 0.8.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.8.4-2mdv2008.1
+ Revision: 109262
- rebuild for new lzma

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 0.8.4-1mdv2008.1
+ Revision: 105590
- update icon cache
- BR goffice 0.4
- clearify libmajor
- New version 0.8.4
- Rebuild against goffice 0.5

* Tue Jul 31 2007 Funda Wang <fundawang@mandriva.org> 0.8.2-1mdv2008.0
+ Revision: 56839
- fix file list
- disable scrollkeeper update when building
- fix man page list
- New version 0.8.2

* Wed Jul 04 2007 Funda Wang <fundawang@mandriva.org> 0.8.1-2mdv2008.0
+ Revision: 47798
- fix develpacakge requires

* Tue Jul 03 2007 Funda Wang <fundawang@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 47551
- fix file list
- Corrected desktop file
- New version

* Sun May 27 2007 Funda Wang <fundawang@mandriva.org> 0.8.0-1mdv2008.0
+ Revision: 31766
- New upstream version

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 0.7.96-1mdv2008.0
+ Revision: 26174
- buildrequires gnome-doc-utils
- move to beta branch
- gconf schemas
- new version


* Mon Feb 26 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.4-2mdv2007.0
+ Revision: 125727
- fix datadir path

* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.4-1mdv2007.1
+ Revision: 125625
- buildrequires goffice21-devel
- New version 0.6.4
- xdg menu

  + Jérôme Soyer <saispo@mandriva.org>
    - Import gnome-chemistry-utils

* Thu Sep 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdv2007.0
- - Rebuild against DBUS

* Wed Apr 05 2006 Lenny Cartier <lenny@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Sat Apr 01 2006 Austin Acton <austin@mandriva.org> 0.6.0-1mdk
- New release 0.6.0
- buildrequires goffice
- mozilla plugin doesn't seem to build

* Tue Feb 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.8-3mdk
- Fix BuildRequires

* Mon Feb 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.8-2mdk
- Don't package mime cache
- fix mime cache update

* Thu Feb 09 2006 Lenny Cartier <lenny@mandriva.com> 0.4.8-1mdk
- 0.4.8

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.4.4-2mdk
- drop libtoolize hack
- I guess it's just major version 0

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Sun Jun 19 2005 Austin Acton <austin@mandriva.org> 0.4.3-1mdk
- New release 0.4.3
- source URL fix

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-2mdk 
- Rebuild with latest howl

* Mon Dec 13 2004 Austin Acton <austin@mandrake.org> 0.3.2-1mdk
- 0.3.2

* Sun Oct 10 2004 Austin Acton <austin@mandrake.org> 0.3.1-1mdk
- 0.3.1
- major 0.3

* Mon Aug 09 2004 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Sun Jun 06 2004 Austin Acton <austin@mandrake.org> 0.2.5-1mdk
- 0.2.5

